<?php
/*
-----------------------------------------
Автор: -=КотЭ=-(-=MTV=-) и Shot(Robber)
Бесплатный WAP движок: Strongcms
Контакты: 0664452670(МТС) ибо ICQ(7296000)
Файл: config.php
-------------------------------------------
*/

//-----Создаем титл страницы-----//
$title = 'Анкета';
//-----Подключаем функции-----//
require_once ('../system/function.php');
//-----Подключаем вверх-----//
require_once ('../system/header.php');

//-----Если гость,то...----//
if(!$user['id']) {
header('Location: /index.php');
exit();
}

$id = abs(intval($_GET['id']));
$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$id."'"));

switch($_GET['act'])
{
default:

if($ank == 0) {
echo '<div class="title">Анкета | Ошибка</div><div class="podmenu"><center><b>Такого пользователя не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><center>Анкета пользователя</center></div>
<div class="podmenu">Пользователь: '.nick($ank['id']).'</div><div class="podmenu">';

echo (empty($ank['avatar'])?'<img src="files/ava/net.jpg" alt="*" style="max-width: 210px; max-height: 210px;">':'<img src="files/ava/'.$ank['avatar'].'" alt="*" style="max-width: 210px; max-height: 210px;">');

if($user['id'] != $ank['id']) {

echo '<br /> » <a href="'.$HOME.'/mes/newmes'.$ank['id'].'">Написать сообщение</a>';

$ignor = mysql_fetch_assoc(mysql_query("SELECT * FROM `message_c` WHERE `kto` = '".$user['id']."' and `kogo` = '".$ank['id']."'"));
if($ignor['ignor'] != 1) {
echo '<br />» <a href="'.$HOME.'/mes/ignor'.$ank['id'].'">Добавить в игнор</a>';
} else {
echo '<br />» <a href="'.$HOME.'/mes/ignor_up'.$ank['id'].'">Убрать с игнора</a>';
}

}
  // Статус пользователя
$stena = mysql_fetch_assoc(mysql_query("SELECT * FROM `stena` WHERE `ukogo` = '".$ank['id']."' ORDER BY `time` DESC LIMIT 1"));
$status=mysql_fetch_assoc(mysql_query("SELECT * FROM `status` WHERE `id_user` = '$ank[id]' ORDER BY `time` DESC LIMIT 1"));
if ($status['id'] || $ank['id'] == $user['id'])
{
echo "<div class='st_1'></div>";
echo "<div class='st_2'>";
if ($status['id'])
{
echo $status['msg'] . ' <font style="font-size:11px; color:gray;"><br />' . vremja($status['time']) . '</font>';
if ($ank['id']==$user['id'])echo " [<a href='../user/statusnew.php'><img src='/design/icons/edit.gif' alt='*'> нов</a>]";
echo '<br />';
}
else if ($ank['id']==$user['id'])
{
echo "Ваш статус [<a href='../user/statusnew.php'><img src='/design/icons/edit.gif' alt='*'> ред</a>]";
}
else
{
echo "<div class='st_1'></div>";
echo "<div class='st_2'>Статус: не заполнено</div>";
}
echo "</div>";
echo " <a href='/user/status/komm.php?id=$status[id]'><img src='/design/icons/bbl4.png' alt=''/> " . mysql_result(mysql_query("SELECT COUNT(*) FROM `status_komm` WHERE `id_status` = '$status[id]'"),0) . " </a> ";
/* Общее колличество статусов */
$st = mysql_result(mysql_query("SELECT COUNT(*) FROM `status` WHERE `id_user` = '$ank[id]'"),0);
if ($st > 0)
{
	echo "<br /> &rarr; <a href='/user/status/index.php?id=$ank[id]'>Все статусы</a> (" . $st . ")";
}
}
if ($ank['id'] != $user['id'])
{
 if ($st == 0)
 {
 echo "<div class='st_1'></div>";
echo "<div class='st_2'>Статус: не заполнено</div>";
 }
  }
echo "</div>";
####################
echo '</div>
<div class="links"> Данные:</div>';
if($ank['level'] == 0){ $dol = '<b>Юзер</b>';}
elseif($ank['level'] == 1){ $dol = '<b>Модер</b>';}
elseif($ank['level'] == 2){ $dol = '<b>Админ</b>';}
elseif($ank['level'] == 3){ $dol = '<b>Создатель</b>';}
echo '<div class="podmenu">
» Должность: '.$dol.'
<br />
» ID: '.$id.'
<br />
» Имя: '.bb($ank['name']).'
<br />
» Обновлялся: '.vremja($ank['viz']).'
<br />
» Дата реги: '.vremja($ank['datareg']).'
<br />
» Страна: ';

echo (empty($ank['strana'])?'Не заполнено':''.bb($ank['strana']).'');
echo '<br /> » Город: ';
echo (empty($ank['gorod'])?'Не заполнено':''.bb($ank['gorod']).'');
echo '<br /> » О себе: ';
echo (empty($ank['osebe'])?'Не заполнено':''.bb($ank['osebe']).'');
echo '</div>';

echo '<div class="menudiv"><a href="'.$HOME.'/stena_id_'.$id.'" class="k_menu">Стена ('.mysql_result(mysql_query('select count(`id`) from `stena` where `ukogo` = "'.$ank['id'].'"'),0).')</div></a></div>
<div class="menudiv"><a href="'.$HOME.'/reputation'.$id.'" class="k_menu">Репутация (+'.mysql_result(mysql_query('select count(`id`) from `repa_user` where `komy` = "'.$ank['id'].'" and `repa` = "+"'),0).' | -'.mysql_result(mysql_query('select count(`id`) from `repa_user` where `komy` = "'.$ank['id'].'" and `repa` = "-"'),0).')</div></a></div>';
###########

/*** Функции для админа ***/
if($user['level'] >= 2) {
echo '<div class="links"> Админ обзор:</div>';
echo '<div class="podmenu">
» Браузер: '.$ank['browser'].' <br />
» IP: '.$ank['ip'].'
</div>';
}

break;
case 'stena':

if($ank == 0) {
echo '<div class="title">Анкета | Ошибка</div><div class="podmenu"><center><b>Такого пользователя не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/user_'.$id.'">Анкета '.$ank['login'].'</a> | Стена</div>';

if(isset($_REQUEST['ok'])) {

$msg = strong($_POST['msg']);
if(empty($msg)) {
echo '<div class="podmenu"><center><b>Введите сообщение!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(mb_strlen($msg) < 3) {
echo '<div class="podmenu"><center><b>Введите сообщение минимум 3 символа!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

$ttte = mysql_fetch_array(mysql_query('select * from `stena` where `avtor` = "'.$user['id'].'" and `msg` = "'.$msg.'"'));
if($ttte != 0) {
echo '<div class="podmenu"><center><b>Вы такой пост уже писали!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

$tim = mysql_query("SELECT * FROM `stena` WHERE `avtor` = '".$user['id']."' ORDER BY `time` DESC");
while($ncm2 = mysql_fetch_assoc($tim)){
$news_antispam = mysql_fetch_assoc(mysql_query("SELECT * FROM `antispam` WHERE `stena` "));
$ncm_timeout = $ncm2['time'];
if((time()-$ncm_timeout) < $news_antispam['stena'])
{
echo '<div class="podmenu"><center><b>Пишите не чаще чем раз в '.$news_antispam['stena'].' секунд!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
}
mysql_query("INSERT INTO `stena` SET `msg` = '".$msg."', `avtor` = '".$user['id']."', `ukogo` = '".$id."', `time` = '".time()."'");

if($user['id'] != $ank['id']) {
mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$ank['id']."', `kto` = '".$user['id']."', `text` = 'написал у Вас на [url=".$HOME."/stena_id_".$ank['id']."?selection=top]стене[/url]'");
}

header('Location: '.$HOME.'/stena_id_'.$id.'');
}

echo '<div class="podmenu">
<form action="" method="POST">
*Сообщение:<br />
<textarea name="msg" placeholder="Введите текст..."></textarea><br />
<input type="submit" name="ok" value="Написать" />
</form></div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `stena` WHERE `ukogo` = '".$id."'"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$stena = mysql_query("SELECT * FROM `stena` WHERE `ukogo` = '".$id."' ORDER BY `time` DESC LIMIT $start, $max");
while($st = mysql_fetch_assoc($stena))
{
echo '<div class="links">'.nick($st['avtor']).' ('.vremja($st['time']).')';
if($id == $user['id'] or $user['level'] >= 1) echo ' [<a href="'.$HOME.'/delmsg_'.$st['id'].'">уд</a>]';
echo '</div><div class="podmenu">'.smile(bb($st['msg'])).'</div>';
}

if($k_post < 1) {
echo '<div class="podmenu"><center><b>Сообщений пока еще нет!</b></center></div>';
}

if ($k_page>1) {
echo str('stena_id_'.$id.'?',$k_page,$page); // Вывод страниц
}

break;
case 'delmsg':

$id = abs(intval($_GET['id']));
$stenka = mysql_fetch_assoc(mysql_query("SELECT * FROM `stena` WHERE `id` = '".$id."'"));
$anks = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$stenka['ukogo']."'"));

if($stenka == 0) {
echo '<div class="title">Анкета | Ошибка</div><div class="podmenu"><center><b>Такого комментария не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($anks['id'] == $user['id'] or $user['level'] >= 1) {
mysql_query("DELETE FROM `stena` WHERE `id` = '".$id."'");
header('Location: '.$HOME.'/stena_id_'.$anks['id'].'');
exit();
} else {
header('Location: '.$HOME.'/stena_id_'.$anks['id'].'');
exit();
}

break;
case 'repa':

if($ank == 0) {
echo '<div class="title">Анкета | Ошибка</div><div class="podmenu"><center><b>Такого пользователя не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

$dr=mysql_num_rows(mysql_query("SELECT `id` FROM `friends` WHERE (`user1` = '$ank[id]' OR `user2` = '$ank[id]') AND (`user1` = '$id' OR `user2` = '$id')"));
if ($dr==0)echo "<br/>- <a href='../user/frends/frnew.php?id=$id'>Добавить в друзья</a>";
echo '<div class="title"><a href="'.$HOME.'/user_'.$id.'">Анкета '.$ank['login'].'</a> | Репутация</div>';

if(isset($_REQUEST['ok'])) {

$text = strong($_POST['text']);
$repa = strong($_POST['repa']);

if(empty($text)) {
echo '<div class="podmenu"><center><b>Введите текст!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($repa != '+' && '-') {
echo '<div class="podmenu"><center><b>Можно ставить только + или -</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(mb_strlen($text) < 3) {
echo '<div class="podmenu"><center><b>Введите сообщение минимум 3 символа!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

$sql = mysql_fetch_array(mysql_query('select * from `repa_user` where `kto` = "'.$user['id'].'" and `text` = "'.$text.'"'));
if($sql != 0) {
echo '<div class="podmenu"><center><b>Ошибка!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

$tim = mysql_query("SELECT * FROM `repa_user` WHERE `komy` = '".$id."' ORDER BY `time` DESC");
while($ncm2 = mysql_fetch_assoc($tim)){
$news_antispam = mysql_fetch_assoc(mysql_query("SELECT * FROM `antispam` WHERE `repa` "));
$ncm_timeout = $ncm2['time'];
$vremja = 86400 * $news_antispam['repa'];
if((time()-$ncm_timeout) < $vremja) {
echo '<div class="podmenu"><center><b>Репутацию можно изменять раз в '.$news_antispam['repa'].' дня!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
}

mysql_query("INSERT INTO `repa_user` SET `text` = '".$text."', `kto` = '".$user['id']."', `komy` = '".$id."', `time` = '".time()."', `repa` = '".$repa."'");

if($user['id'] != $ank['id']) {
mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$ank['id']."', `kto` = '".$user['id']."', `text` = 'Повысил вашу [url=".$HOME."/reputation".$ank['id']."?selection=top]репутацию[/url]'");
}

header('Location: '.$HOME.'/reputation'.$id.'');
}

if($user['id'] != $ank['id']) {

echo '<div class="podmenu"><form action="" method="POST">
*Сообщение:<br /><textarea name="text" placeholder="Введите текст..."></textarea> <br />
<select name="repa">
<option value="+">Плюс</option>
<option value="-">Минус</option>
</select> <br/ >
<input type="submit" name="ok" value="Изменить репутацию" />
</form></div>';

}

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `repa_user` WHERE `komy` = '".$id."'"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$repa = mysql_query("SELECT * FROM `repa_user` WHERE `komy` = '".$id."' ORDER BY `time` DESC LIMIT $start, $max");
while($a = mysql_fetch_assoc($repa))
{
echo '<div class="links"><b>'.$a['repa'].'</b> От '.nick($a['kto']).' ['.vremja($a['time']).']';
if($user['level'] >= 1) echo ' [<a href="'.$HOME.'/del_repa_'.$a['id'].'">del</a>]';
echo '</div><div class="podmenu">'.smile(bb($a['text'])).'</div>';
}

if($k_post < 1) {
echo '<div class="podmenu"><center><b>Репутацию пока не изменяли!</b></center></div>';
}

if ($k_page>1) {
echo str('reputation'.$id.'?',$k_page,$page); // Вывод страниц
}

break;
case 'del_repa':

$id = abs(intval($_GET['id']));
$repa = mysql_fetch_assoc(mysql_query("SELECT * FROM `repa_user` WHERE `id` = '".$id."'"));
$anks = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$repa['komy']."'"));

if($repa == 0) {
echo '<div class="title">Анкета | Ошибка</div><div class="podmenu"><center><b>Данный ID в базе не найден!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($user['level'] >= 1) {
mysql_query("DELETE FROM `repa_user` WHERE `id` = '".$id."'");
header('Location: '.$HOME.'/reputation'.$anks['id'].'');
exit();
} else {
header('Location: '.$HOME.'/reputation'.$anks['id'].'');
exit();
}

break;
}

//-----Подключаем низ-----//
require_once ('../system/footer.php');
?>